<?xml version="1.0" encoding="windows-1251"?>
<lib name="DocText" version="1.0">
    <reg name="System.Controllers">
        <class name="Закон.ТекстыДокументов.СтруктураДокумента.Заполнение"/>
        <!--class name="Представления.Дерево.Слой.СтруктураДокумента.СозданиеМеню"/-->
        <class name="Закон.ТекстыДокументов.СтруктураДокумента.ВставкаЭлемента"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ВыборУзла"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ЗапросНаРедактирование"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.РедактироватьЗаголовок"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ФорматированиеТекстаУзла"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ИзменениеЗаголовка"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.УдалениеУзла"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ОбновлениеДерева"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.РазвернутьДерево"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.СвернутьДерево"/>

		<class name="Закон.ТекстыДокументов.Редактор.СоздатьДокумент"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВывестиТекст"/>
		<class name="Закон.ТекстыДокументов.Редактор.СохранитьТекстТекущейОбласти"/>
		<class name="Закон.ТекстыДокументов.Редактор.УстановитьТекущуюОбласть"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВставитьОбластьТекста"/>
		<class name="Закон.ТекстыДокументов.Редактор.УдалитьОбластьТекста"/>
		<class name="Закон.ТекстыДокументов.Редактор.ОчиститьТемпДиректорию"/>

		<class name="Закон.ТекстыДокументов.Редактор.СоздатьКурсор"/>
		<class name="Закон.ТекстыДокументов.Редактор.ИнициализироватьКурсор"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВставитьСумму"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВставитьСсылкуВТекст"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВставитьНумерациюЕслиЕеНет"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПересчитатьСуммы"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПоказатьИменаСумм"/>
		<class name="Закон.ТекстыДокументов.Редактор.НачатьОбновлениеДокумента"/>
		<class name="Закон.ТекстыДокументов.Редактор.ЗакончитьОбновлениеДокумента"/>
		<class name="Закон.ТекстыДокументов.Редактор.ЗафиксироватьИзменениеТекста"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ИзменениеСтиля"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ПрименениеСтиля"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ИзменениеНомера"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.СобытиеНаПеретаскивание"/>
		<class name="Закон.ТекстыДокументов.СтруктураДокумента.СобытиеНаПарковку"/>

		<class name="Закон.ТекстыДокументов.СтруктураДокумента.ЗадатьПозициюВДереве"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПересчитатьНумерацию"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПересчитатьВсюНумерацию"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПересчитатьВсеСсылки"/>
		<class name="Закон.ТекстыДокументов.Редактор.СохранитьСвойстваДокумента"/>

		<class name="Закон.ТекстыДокументов.Редактор.СгенерироватьИмяСсылки"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПоказатьДиалогВставкиСсылки"/>
		<class name="Закон.ТекстыДокументов.Редактор.ВставитьСсылкуЕслиМожно"/>
		<!-- Поддержка поправок -->
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.ПроверитьЗаписьПоправки"/>
		<class name="Закон.ТекстыДокументов.Редактор.ПроверитьЗаписьЗаголовка"/>
		<class name="Закон.ТекстыДокументов.Редактор.РедактироватьПоправкиМодально"/>

		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.СформироватьСписокПоправок"/>
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.ЗаполнитьЧекЛист"/>
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.НаИзменениеФлажка"/>
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.ПолучитьСлойСПоправками"/>
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.ПолучитьСписокПоправок"/>
		<class name="РеестрПоправок.ТекстыДокументов.Редактор.Поправки.ПроверитьПоправкиНаПересечение"/>
		<class name="Закон.ТекстыДокументов.ПеревестиВНовыйФормат"/>

		<class name="Закон.ТекстыДокументов.ЭкспортВХМЛ"/>

		<class name="РеестрПоправок.ТекстыДокументов.СформироватьТекстЗаконаОПоправках"/>
		<class name="РеестрПоправок.ТекстыДокументов.ПолучитьИдЗаконаИПоправок"/>

		<class name="РеестрПоправок.ПоправкиКЗакону.КонтроллерБлокировкиВставкиАбзаца"/>
    </reg>
</lib>